Subject: Re: bug#10430: coreutils-8.14.116-1e18d: "make distcheck" failure on Debian (one test failed)

From: Jim Meyering <[email-masked]>
Date: Wed, 04 Jan 2012 18:47:41 +0100

Stefano Lattarini wrote:
> Running:
>
>   $ VERBOSE=yes make distcheck 2>&1 | tee dc.log
>
> failed:
>
>   ...
>   ==============================================================
>   Testsuite summary for GNU coreutils 8.14.116-1e18d
>   ==============================================================
>   # TOTAL: 466
>   # PASS:  345
>   # SKIP:  120
>   # XFAIL: 0
>   # FAIL:  1
>   # XPASS: 0
>   # ERROR: 0
>   ==============================================================
>   See tests/test-suite.log
>   Please report to [email-masked]
>   ==============================================================
>   ...
>   make[3]: *** [check] Error 2
>   make[3]: Leaving directory
> /tmp/coreutils-8.14.116-1e18d/tests/torture/taint/a
> b/coreutils-8.14.116-1e18d'
>   make[2]: *** [taint-distcheck] Error 2
>   make[2]: Leaving directory `/tmp/coreutils-8.14.116-1e18d'
>   make[1]: *** [distcheck-hook] Error 2
>   make[1]: Leaving directory `/tmp/coreutils-8.14.116-1e18d'
>   make: *** [distcheck] Error 1
>
> The only failed test was `misc/timeout-group'.

Thanks for the report.
I wonder if that is kernel related, since when I run "make check"
on a debian unstable system with this kernel, 3.1.0-1-amd64
I get no failures.

  # TOTAL: 466
  # PASS:  420
  # SKIP:  46
  # XFAIL: 0
  # FAIL:  0
  # XPASS: 0
  # ERROR: 0